org.eclipse.ecf.provider.dnssd

## Class DnsSdDiscoveryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.ecf.core.util.ECFRuntimeException
        - - org.eclipse.ecf.provider.dnssd.DnsSdDiscoveryException

All Implemented Interfaces:
  Serializable

    public class DnsSdDiscoveryException
    extends ECFRuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DnsSdDiscoveryException(String message)`
`DnsSdDiscoveryException(Throwable e)`

### Method Summary

All Methods Static Methods Concrete Methods
`static DnsSdDiscoveryException` `getException(int rcode)`

### Methods inherited from class org.eclipse.ecf.core.util.ECFRuntimeException

`getStatus`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DnsSdDiscoveryException

    public DnsSdDiscoveryException(Throwable e)

#### DnsSdDiscoveryException

    public DnsSdDiscoveryException(String message)

### Method Detail

#### getException

    public static DnsSdDiscoveryException getException(int rcode)